
Redmine - Defect #8963

Undefined gantt_items_limit when trying to display gantt chart

2011-08-01 16:30 - Ivan Kanis

Status: Closed Start date: 2011-08-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I am upgrading from 1.0.3 to 1.2.1 on Debian 6.0. I get the following error when trying to display a gantt chart:

NoMethodError (undefined method `gantt_items_limit' for #<Class:0x7f66a3a805c8>):

lib/redmine/helpers/gantt.rb:81:in `initialize'

app/controllers/gantts_controller.rb:34:in `new'

app/controllers/gantts_controller.rb:34:in `show'

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          /home/ivan/tmp/redmine-1.2.1

Environment               production

Database adapter          mysql

Database schema version   20110511000000

History

#1 - 2011-08-01 16:33 - Ivan Kanis

Probably related is when I do administration -> settings I get the following backtrace:

Processing SettingsController#index (for 192.168.0.52 at 2011-08-01 16:31:28) [GET]

Parameters: {"action"=>"index", "controller"=>"settings"}

Rendering template within layouts/admin

Rendering settings/edit

ActionView::TemplateError (undefined method `gantt_items_limit' for #<Class:0x7ff5ef8e6560>) on line #12 of app/views/settings/_issues.rhtml:

9:

10: <p><%= setting_text_field :issues_export_limit, :size => 6 ></p>

11:

12: <p><= setting_text_field :gantt_items_limit, :size => 6 ></p>

13: </div>

14:

15: <fieldset class="box settings"><legend><= l(:setting_issue_list_default_columns) %></legend>

app/helpers/settings_helper.rb:63:in `send'

    app/helpers/settings_helper.rb:63:in `setting_text_field'

    app/views/settings/_issues.rhtml:12:in `_run_rhtml_app47views47settings47_issues46rhtml_locals_issues_obje

ct_tab'

    app/views/settings/_issues.rhtml:1:in `_run_rhtml_app47views47settings47_issues46rhtml_locals_issues_objec

t_tab'

    app/views/common/_tabs.rhtml:24:in `_run_rhtml_app47views47common47_tabs46rhtml_locals_object_tabs'

    app/views/common/_tabs.rhtml:23:in `each'

    app/views/common/_tabs.rhtml:23:in `_run_rhtml_app47views47common47_tabs46rhtml_locals_object_tabs'

    app/helpers/application_helper.rb:218:in `render_tabs'

    app/views/settings/edit.rhtml:3:in `_run_rhtml_app47views47settings47edit46rhtml'

    app/controllers/settings_controller.rb:25:in `index'
 Rendering /home/ivan/tmp/redmine-1.2.1/public/500.html (500 Internal Server Error)

#2 - 2011-08-01 17:51 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Your config/settings.yml is not up to date.

#3 - 2011-08-02 09:21 - Ivan Kanis

- Status changed from Closed to Reopened

Hi Jean-Philippe

I just checked that my settings.yml is the same as the one shipped within the tar ball redmine-1.2.1.tar.gz

#4 - 2013-09-01 23:52 - Jan Niggemann (redmine.org team member)

- Due date set to 2011-08-31

- Status changed from Reopened to Needs feedback

- Resolution deleted (Invalid)

Does the problem still persist or can this issue be closed?

#5 - 2013-09-10 11:15 - Toshi MARUYAMA

- Due date deleted (2011-08-31)

- Category set to Gantt

#6 - 2014-04-22 12:12 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

Too old and no feedback.
